import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const report = await conductor.qbd.reports.generalDetail({
reportType: '1099_detail',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(report.basis);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
report = conductor.qbd.reports.general_detail(
report_type="1099_detail",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(report.basis)
Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.
GET
/
quickbooks-desktop
/
reports
/
general-detail
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const report = await conductor.qbd.reports.generalDetail({
reportType: '1099_detail',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(report.basis);
import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
report = conductor.qbd.reports.general_detail(
report_type="1099_detail",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(report.basis)
Filter report rows dated on or after this date, in ISO 8601 format (YYYY-MM-DD). Choose either reportDateMacro or reportDateFrom/reportDateTo. If you omit reportDateFrom, reportDateTo, and reportDateMacro, QuickBooks Desktop uses the current fiscal year to date.
Filter report rows dated on or before this date, in ISO 8601 format (YYYY-MM-DD). Choose either reportDateMacro or reportDateFrom/reportDateTo. If you omit reportDateFrom, reportDateTo, and reportDateMacro, QuickBooks Desktop uses the current fiscal year to date.
Filter report rows by QuickBooks-assigned account IDs. Accepts one or more account IDs. Choose only one account filter per request: accountType, accountIds, or accountFullNames.
Filter report rows by account fullName values, case-insensitive. A fullName is a fully qualified QuickBooks name formed by joining parent object names with the object's name using colons. Accepts one or more account full names. Choose only one account filter per request: accountType, accountIds, or accountFullNames.
Filter report rows by entity type, such as customer, vendor, employee, or other name. Choose only one entity filter per request: entityType, entityIds, or entityFullNames.
Filter report rows by QuickBooks-assigned entity IDs. Accepts one or more entity IDs. Choose only one entity filter per request: entityType, entityIds, or entityFullNames.
Filter report rows by entity fullName values, case-insensitive. A fullName is a fully qualified QuickBooks name formed by joining parent object names with the object's name using colons. Accepts one or more entity full names. Choose only one entity filter per request: entityType, entityIds, or entityFullNames.
Filter report rows by QuickBooks-assigned item IDs. Accepts one or more item IDs. Choose only one item filter per request: itemType, itemIds, or itemFullNames.
Filter report rows by item fullName values, case-insensitive. A fullName is a fully qualified QuickBooks name formed by joining parent object names with the object's name using colons. Accepts one or more item full names. Choose only one item filter per request: itemType, itemIds, or itemFullNames.
Filter report rows by QuickBooks-assigned class IDs. Accepts one or more class IDs. Choose only one class filter per request: classIds or classFullNames.
Filter report rows by class fullName values, case-insensitive. A fullName is a fully qualified QuickBooks name formed by joining parent object names with the object's name using colons. Accepts one or more class full names. Choose only one class filter per request: classIds or classFullNames.
Filter report rows that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register.
The accounting basis to use for the report. Use cash to base income and expenses on when money changes hands, accrual to base them on invoice and bill dates, or none to use the QuickBooks Desktop default for the report.
(Text row · object | Data row · object | Subtotal row · object | Total row · object)[]
required
The report rows, in display order. Rows can be text rows, detail data rows, subtotal rows, or total rows.
Text row
Data row
Subtotal row
Total row
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Conductor Docs","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf","dark":"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/dark.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=dbd4c90195fb31cbae682dd4bfb98350","href":"https://conductor.is"},"favicon":"https://mintcdn.com/conductor/79gIlu1T1D-ycZhm/favicon.png?fit=max\u0026auto=format\u0026n=79gIlu1T1D-ycZhm\u0026q=85\u0026s=52c2193ef1a37fb3c2a843f148178e26","api":{"openapi":"openapi.documented.yml","playground":{"display":"interactive"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:support@conductor.is?subject=Conductor Help","label":"Support"},{"href":"https://dashboard.conductor.is","label":"Dashboard"}],"primary":{"type":"button","label":"Sign up","href":"https://dashboard.conductor.is/sign-up"}},"footer":{"socials":{"twitter":"https://twitter.com/conductor_is","github":"https://github.com/conductor-is","linkedin":"https://linkedin.com/company/conductor-is"},"links":[{"header":"Product","items":[{"label":"Core","href":"https://conductor.is/"},{"label":"FAQ","href":"https://docs.conductor.is/faq"},{"label":"Security","href":"https://docs.conductor.is/security"},{"label":"Testimonials","href":"https://conductor.is/"},{"label":"Pricing","href":"https://conductor.is/"}]},{"header":"Resources","items":[{"label":"Documentation","href":"https://docs.conductor.is"},{"label":"Help Center","href":"https://docs.conductor.is/help"},{"label":"Status","href":"https://status.conductor.is"},{"label":"Quickstart","href":"https://docs.conductor.is/quickstart"}]},{"header":"Company","items":[{"label":"About","href":"https://conductor.is/company"},{"label":"Values","href":"https://conductor-io.notion.site/Conductor-s-Values-83e9eb6e4e4d40a2973b24513dc60f99?pvs=4"},{"label":"Contact","href":"mailto:support@conductor.is?subject=Conductor Help"}]},{"header":"Legal","items":[{"label":"Privacy Policy","href":"https://conductor.is/privacy"},{"label":"Terms of Service","href":"https://conductor.is/terms"},{"label":"Trust Center","href":"https://trust.conductor.is"}]}]},"styling":{"codeblocks":"system","latex":false},"integrations":{"ga4":{"measurementId":"G-X8MDB0LXNF"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"conductor","hasAudioNarration":false,"actualSubdomain":"conductor","customDomains":["docs.conductor.is"],"gitSource":{"type":"github","owner":"conductor-is","repo":"conductor","deployBranch":"main","contentDirectory":"apps/docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adfe6dab98f79cb919c354c","collectionId":"50333b55-fdc5-45b0-873c-be44a7246f6c","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adfe6dab98f79cb919c354c"},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6adfe6dab98f79cb919c354c","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"API Reference","count":337},{"language":"default","tag":"Transactions","count":160},{"language":"default","tag":"General","count":104},{"language":"default","tag":"Items","count":53},{"language":"default","tag":"Help","count":25},{"language":"default","tag":"Documentation","count":15},{"language":"default","tag":"Guides","count":14},{"language":"default","tag":"Reports","count":11},{"language":"default","tag":"QuickBooks Desktop API","count":10},{"language":"default","tag":"Connection errors","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-ref/qbd/reports/general-detail","slug":"/api-ref/qbd/reports/general-detail","pageMetadata":{"openapi":"GET /quickbooks-desktop/reports/general-detail","title":"Retrieve a general detail report","description":"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.","href":"/api-ref/qbd/reports/general-detail"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"GET /quickbooks-desktop/reports/general-detail","title":"Retrieve a general detail report","description":"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.","href":"/api-ref/qbd/reports/general-detail"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a general detail report","description":"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.","security":["e37fc770-187a-467b-a1d4-8650d25ba278"],"parameters":["9610377b-d681-4086-88b2-2532cfbc533e","a229a1d1-5d8f-4321-b227-4c156ed345e5","bc7a4eae-c033-440e-84f5-689a1a1bf678","170cfb47-25c7-457d-b5d7-81fbb5250740","1b74b71e-d17c-4a82-b384-01b78c0c3caf","79576b97-9664-4fa0-9e3f-9607253fe144","0e45d0d4-ea68-4ce5-82bc-5e80b482b53e","3c53a4ae-64ac-4a20-8641-f053036a31fb","1953443f-b443-43f0-ace8-c12569d9253d","20d4875c-2aba-44da-9a6d-94c416e7b346","ba3457f2-2cf9-4ab6-91f7-670ca588032a","d32517a9-6909-4f8d-af52-6c2bd0b651eb","dec944be-d5b4-4825-aa10-ee0c4849a482","60134412-6580-4de2-bba4-1acc05b620d4","925ac9a1-a6b4-4a5d-8a01-8da351da8b1c","7214b0c2-120c-417e-95e0-e6d2f785c3dc","85428dbf-eadb-40d4-b99d-4d109ca916e8","6606bdd5-ba4f-41e2-964c-b029e40eb8c6","483dd8cb-f986-468c-9ad7-d6ecd0449b38","a503a44d-b9f6-4aec-ab51-53473635c4f2","49536771-390b-4acb-9dfd-d087032710d6","32b2f12b-ebe8-43ac-bad1-85a6e0126d7a","173b1010-5025-4fae-abfc-9d332c7b01ce","a1e54a09-e3fa-4995-8dab-a952b950692e","52720f77-ae04-4aa9-a310-a1219036f54c","27f8b513-119c-4940-b41f-a960c7883ccf","079c60c9-52db-4ef8-9a8c-93b79d14a724"],"responses":{"200":"434ad3a9-0052-492b-a53f-3f8876331832"},"x-codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst report = await conductor.qbd.reports.generalDetail({\n reportType: '1099_detail',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(report.basis);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nreport = conductor.qbd.reports.general_detail(\n report_type=\"1099_detail\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(report.basis)"}],"method":"get","type":"path","servers":["045cea4d-dfb6-46e4-9c51-52452b7b239b"],"path":"/quickbooks-desktop/reports/general-detail","baseUrlOptions":["https://api.conductor.is/v1"],"title":"Retrieve a general detail report","codeSamples":[{"lang":"JavaScript","source":"import Conductor from 'conductor-node';\n\nconst conductor = new Conductor({\n apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted\n});\n\nconst report = await conductor.qbd.reports.generalDetail({\n reportType: '1099_detail',\n conductorEndUserId: 'end_usr_1234567abcdefg',\n});\n\nconsole.log(report.basis);"},{"lang":"Python","source":"import os\nfrom conductor import Conductor\n\nconductor = Conductor(\n api_key=os.environ.get(\"CONDUCTOR_SECRET_KEY\"), # This is the default and can be omitted\n)\nreport = conductor.qbd.reports.general_detail(\n report_type=\"1099_detail\",\n conductor_end_user_id=\"end_usr_1234567abcdefg\",\n)\nprint(report.basis)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"9610377b-d681-4086-88b2-2532cfbc533e":{"in":"header","name":"Conductor-End-User-Id","schema":{"type":"string","description":"The ID of the End-User to receive this request.","example":"end_usr_1234567abcdefg","x-stainless-naming":{"typescript":{"method_argument":"conductorEndUserId"},"mcp":{"method_argument":"conductorEndUserId"}},"isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true,"description":"The ID of the End-User to receive this request."},"a229a1d1-5d8f-4321-b227-4c156ed345e5":{"in":"query","name":"reportType","schema":{"type":"string","enum":["1099_detail","audit_trail","balance_sheet_detail","check_detail","customer_balance_detail","deposit_detail","estimates_by_job","expense_by_vendor_detail","general_ledger","income_by_customer_detail","income_tax_detail","inventory_valuation_detail","job_progress_invoices_vs_estimates","journal","missing_checks","open_invoices","open_purchase_orders","open_purchase_orders_by_job","open_sales_order_by_customer","open_sales_order_by_item","pending_sales","profit_and_loss_detail","purchase_by_item_detail","purchase_by_vendor_detail","sales_by_customer_detail","sales_by_item_detail","sales_by_sales_representative_detail","transaction_detail_by_account","transaction_list_by_customer","transaction_list_by_date","transaction_list_by_vendor","unpaid_bills_detail","unbilled_costs_by_job","vendor_balance_detail"],"description":"The general detail report type to retrieve.","example":"1099_detail","isRequired":true,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":true,"description":"The general detail report type to retrieve."},"bc7a4eae-c033-440e-84f5-689a1a1bf678":{"in":"query","name":"reportDateFrom","schema":{"description":"Filter report rows dated on or after this date, in ISO 8601 format (YYYY-MM-DD). Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`. If you omit `reportDateFrom`, `reportDateTo`, and `reportDateMacro`, QuickBooks Desktop uses the current fiscal year to date.","example":"2025-01-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter report rows dated on or after this date, in ISO 8601 format (YYYY-MM-DD). Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`. If you omit `reportDateFrom`, `reportDateTo`, and `reportDateMacro`, QuickBooks Desktop uses the current fiscal year to date."},"170cfb47-25c7-457d-b5d7-81fbb5250740":{"in":"query","name":"reportDateTo","schema":{"description":"Filter report rows dated on or before this date, in ISO 8601 format (YYYY-MM-DD). Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`. If you omit `reportDateFrom`, `reportDateTo`, and `reportDateMacro`, QuickBooks Desktop uses the current fiscal year to date.","example":"2025-02-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter report rows dated on or before this date, in ISO 8601 format (YYYY-MM-DD). Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`. If you omit `reportDateFrom`, `reportDateTo`, and `reportDateMacro`, QuickBooks Desktop uses the current fiscal year to date."},"1b74b71e-d17c-4a82-b384-01b78c0c3caf":{"in":"query","name":"reportDateMacro","schema":{"description":"A QuickBooks Desktop relative date macro for the report period. Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`.","example":"this_year_to_date","type":"string","enum":["all","today","this_week","this_week_to_date","this_month","this_month_to_date","this_quarter","this_quarter_to_date","this_year","this_year_to_date","yesterday","last_week","last_week_to_date","last_month","last_month_to_date","last_quarter","last_quarter_to_date","last_year","last_year_to_date","next_week","next_four_weeks","next_month","next_quarter","next_year"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"A QuickBooks Desktop relative date macro for the report period. Choose either `reportDateMacro` or `reportDateFrom`/`reportDateTo`."},"79576b97-9664-4fa0-9e3f-9607253fe144":{"in":"query","name":"accountType","schema":{"description":"Filter report rows by account type. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`.","example":"bank","type":"string","enum":["accounts_payable","accounts_receivable","allowed_for_1099","ap_and_sales_tax","ap_or_credit_card","ar_and_ap","asset","balance_sheet","bank","bank_and_ar_and_ap_and_uf","bank_and_uf","cost_of_sales","credit_card","current_asset","current_asset_and_expense","current_liability","equity","equity_and_income_and_expense","expense_and_other_expense","fixed_asset","income_and_expense","income_and_other_income","liability","liability_and_equity","long_term_liability","non_posting","ordinary_expense","ordinary_income","ordinary_income_and_cogs","ordinary_income_and_expense","other_asset","other_current_asset","other_current_liability","other_expense","other_income","other_income_or_expense"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter report rows by account type. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`."},"0e45d0d4-ea68-4ce5-82bc-5e80b482b53e":{"in":"query","name":"accountIds","schema":{"description":"Filter report rows by QuickBooks-assigned account IDs. Accepts one or more account IDs. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by QuickBooks-assigned account IDs. Accepts one or more account IDs. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`."},"3c53a4ae-64ac-4a20-8641-f053036a31fb":{"in":"query","name":"accountFullNames","schema":{"description":"Filter report rows by account `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more account full names. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`.","example":["Corporate:Accounts-Payable"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by account `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more account full names. Choose only one account filter per request: `accountType`, `accountIds`, or `accountFullNames`."},"1953443f-b443-43f0-ace8-c12569d9253d":{"in":"query","name":"entityType","schema":{"description":"Filter report rows by entity type, such as customer, vendor, employee, or other name. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`.","example":"customer","type":"string","enum":["customer","employee","other_name","vendor"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter report rows by entity type, such as customer, vendor, employee, or other name. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`."},"20d4875c-2aba-44da-9a6d-94c416e7b346":{"in":"query","name":"entityIds","schema":{"description":"Filter report rows by QuickBooks-assigned entity IDs. Accepts one or more entity IDs. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by QuickBooks-assigned entity IDs. Accepts one or more entity IDs. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`."},"ba3457f2-2cf9-4ab6-91f7-670ca588032a":{"in":"query","name":"entityFullNames","schema":{"description":"Filter report rows by entity `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more entity full names. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`.","example":["ABC Corporation:Website Redesign Project"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by entity `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more entity full names. Choose only one entity filter per request: `entityType`, `entityIds`, or `entityFullNames`."},"d32517a9-6909-4f8d-af52-6c2bd0b651eb":{"in":"query","name":"itemType","schema":{"description":"Filter report rows by item type. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`.","example":"inventory","type":"string","enum":["all_except_fixed_asset","assembly","discount","fixed_asset","inventory","inventory_and_assembly","non_inventory","other_charge","payment","sales","sales_tax","service"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter report rows by item type. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`."},"dec944be-d5b4-4825-aa10-ee0c4849a482":{"in":"query","name":"itemIds","schema":{"description":"Filter report rows by QuickBooks-assigned item IDs. Accepts one or more item IDs. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by QuickBooks-assigned item IDs. Accepts one or more item IDs. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`."},"60134412-6580-4de2-bba4-1acc05b620d4":{"in":"query","name":"itemFullNames","schema":{"description":"Filter report rows by item `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more item full names. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`.","example":["Services:Consulting"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by item `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more item full names. Choose only one item filter per request: `itemType`, `itemIds`, or `itemFullNames`."},"925ac9a1-a6b4-4a5d-8a01-8da351da8b1c":{"in":"query","name":"classIds","schema":{"description":"Filter report rows by QuickBooks-assigned class IDs. Accepts one or more class IDs. Choose only one class filter per request: `classIds` or `classFullNames`.","example":["80000001-1234567890"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by QuickBooks-assigned class IDs. Accepts one or more class IDs. Choose only one class filter per request: `classIds` or `classFullNames`."},"7214b0c2-120c-417e-95e0-e6d2f785c3dc":{"in":"query","name":"classFullNames","schema":{"description":"Filter report rows by class `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more class full names. Choose only one class filter per request: `classIds` or `classFullNames`.","example":["Department:Marketing"],"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"uniqueKey":"","typeLabel":"string[]"},"description":"Filter report rows by class `fullName` values, case-insensitive. A `fullName` is a fully qualified QuickBooks name formed by joining parent object names with the object's `name` using colons. Accepts one or more class full names. Choose only one class filter per request: `classIds` or `classFullNames`."},"85428dbf-eadb-40d4-b99d-4d109ca916e8":{"in":"query","name":"transactionTypes","schema":{"description":"Filter report rows by transaction type. Accepts one or more transaction types.","example":["invoice","sales_receipt"],"type":"array","items":{"type":"string","enum":["all","ar_refund_credit_card","bill","bill_payment_check","bill_payment_credit_card","build_assembly","charge","check","credit_card_charge","credit_card_credit","credit_memo","deposit","estimate","inventory_adjustment","invoice","item_receipt","journal_entry","liability_adjustment","paycheck","payroll_liability_check","purchase_order","receive_payment","sales_order","sales_receipt","sales_tax_payment_check","transfer","vendor_credit","ytd_adjustment"],"uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"description":"Filter report rows by transaction type. Accepts one or more transaction types."},"6606bdd5-ba4f-41e2-964c-b029e40eb8c6":{"in":"query","name":"detailLevel","schema":{"description":"The report detail level to include. Use `all` for all rows, `all_except_summary` to omit summary rows, or `summary_only` to return only summary rows.","example":"all_except_summary","type":"string","enum":["all","all_except_summary","summary_only"],"default":"all","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The report detail level to include. Use `all` for all rows, `all_except_summary` to omit summary rows, or `summary_only` to return only summary rows."},"483dd8cb-f986-468c-9ad7-d6ecd0449b38":{"in":"query","name":"postingStatus","schema":{"description":"Filter report rows that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register.","example":"posting","type":"string","enum":["either","non_posting","posting"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Filter report rows that are posting, non-posting, or either. Posting status refers to whether QuickBooks records the transaction in an account register."},"a503a44d-b9f6-4aec-ab51-53473635c4f2":{"in":"query","name":"updatedAfter","schema":{"description":"Filter report rows updated on or after this date, in ISO 8601 format (YYYY-MM-DD). Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`.","example":"2025-01-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter report rows updated on or after this date, in ISO 8601 format (YYYY-MM-DD). Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`."},"49536771-390b-4acb-9dfd-d087032710d6":{"in":"query","name":"updatedBefore","schema":{"description":"Filter report rows updated on or before this date, in ISO 8601 format (YYYY-MM-DD). Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`.","example":"2025-02-01","type":"string","format":"date","uniqueKey":"","typeLabel":"string\u003cdate>"},"description":"Filter report rows updated on or before this date, in ISO 8601 format (YYYY-MM-DD). Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`."},"32b2f12b-ebe8-43ac-bad1-85a6e0126d7a":{"in":"query","name":"updatedDateMacro","schema":{"description":"A QuickBooks Desktop relative updated-date macro. Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`.","example":"this_month_to_date","type":"string","enum":["all","today","this_week","this_week_to_date","this_month","this_month_to_date","this_quarter","this_quarter_to_date","this_year","this_year_to_date","yesterday","last_week","last_week_to_date","last_month","last_month_to_date","last_quarter","last_quarter_to_date","last_year","last_year_to_date","next_week","next_four_weeks","next_month","next_quarter","next_year"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"A QuickBooks Desktop relative updated-date macro. Choose either `updatedDateMacro` or `updatedAfter`/`updatedBefore`."},"173b1010-5025-4fae-abfc-9d332c7b01ce":{"in":"query","name":"accountsToInclude","schema":{"description":"Whether to include all accounts or only accounts in use.","example":"all","type":"string","enum":["all","in_use"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Whether to include all accounts or only accounts in use."},"a1e54a09-e3fa-4995-8dab-a952b950692e":{"in":"query","name":"openBalanceAsOf","schema":{"description":"The date through which QuickBooks Desktop calculates open balance information.","example":"report_end_date","type":"string","enum":["report_end_date","today"],"default":"today","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The date through which QuickBooks Desktop calculates open balance information."},"52720f77-ae04-4aa9-a310-a1219036f54c":{"in":"query","name":"summarizeRowsBy","schema":{"description":"How QuickBooks Desktop calculates report data and labels report rows.","example":"account","type":"string","enum":["account","balance_sheet","class","customer","customer_type","day","employee","four_week","half_month","income_statement","item_detail","item_type","month","payee","payment_method","payroll_item_detail","payroll_ytd_detail","quarter","sales_representative","sales_tax_code","shipping_method","tax_line","terms","total_only","two_week","vendor","vendor_type","week","year"],"uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"How QuickBooks Desktop calculates report data and labels report rows."},"27f8b513-119c-4940-b41f-a960c7883ccf":{"in":"query","name":"includeColumns","schema":{"description":"The report columns to include, by column type. Accepts one or more columns.\n\n**IMPORTANT**: When this parameter is present, QuickBooks Desktop omits its default report columns unless you include them here.","example":["date","transaction_type","amount"],"type":"array","items":{"type":"string","enum":["account","aging","amount","amount_difference","average_cost","billed_date","billing_status","calculated_amount","class","cleared_status","cost_price","credit","currency","date","debit","delivery_date","due_date","estimate_active","exchange_rate","shipment_origin","income_subject_to_tax","invoiced","item","description","last_modified_by","latest_or_prior_state","memo","updated_at","name","name_account_number","name_address","name_city","name_contact","name_email","name_fax","name_phone","name_state","name_postal_code","open_balance","original_amount","paid_amount","paid_status","paid_through_date","payment_method","payroll_item","purchase_order_number","print_status","progress_amount","progress_percent","quantity","quantity_available","quantity_on_hand","quantity_on_sales_order","received_quantity","ref_number","running_balance","sales_representative","sales_tax_code","serial_or_lot_number","shipping_date","shipping_method","source_name","split_account","ssn_or_tax_identification_number","tax_line","tax_table_version","terms","transaction_id","transaction_number","transaction_type","unit_price","user_edit","value_on_hand","wage_base","wage_base_tips"],"uniqueKey":"items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"","typeLabel":"enum\u003cstring>[]"},"description":"The report columns to include, by column type. Accepts one or more columns.\n\n**IMPORTANT**: When this parameter is present, QuickBooks Desktop omits its default report columns unless you include them here."},"079c60c9-52db-4ef8-9a8c-93b79d14a724":{"in":"query","name":"basis","schema":{"description":"The accounting basis to use for the report. Use `cash` to base income and expenses on when money changes hands, `accrual` to base them on invoice and bill dates, or `none` to use the QuickBooks Desktop default for the report.","example":"accrual","type":"string","enum":["accrual","cash","none"],"default":"none","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"The accounting basis to use for the report. Use `cash` to base income and expenses on when money changes hands, `accrual` to base them on invoice and bill dates, or `none` to use the QuickBooks Desktop default for the report."}},"responses":{"434ad3a9-0052-492b-a53f-3f8876331832":{"description":"Returns the requested general detail report.","headers":{"Conductor-Request-Id":{"required":true,"description":"The unique identifier for this API request.","schema":{"type":"string","description":"The unique identifier for this API request.","example":"req_1234567abcdefg"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"objectType":{"type":"string","const":"qbd_report","description":"The type of object. This value is always `\"qbd_report\"`.","example":"qbd_report","isRequired":true,"uniqueKey":"objectType","typeLabel":"string"},"category":{"type":"string","enum":["general_summary","general_detail","aging","budget_summary","job","time","custom_detail","custom_summary","payroll_detail","payroll_summary"],"description":"The report category.","example":"general_summary","isRequired":true,"uniqueKey":"category","typeLabel":"enum\u003cstring>"},"reportType":{"type":"string","enum":["balance_sheet_by_class","balance_sheet_previous_year_comparison","balance_sheet_standard","balance_sheet_summary","customer_balance_summary","expense_by_vendor_summary","income_by_customer_summary","inventory_stock_status_by_item","inventory_stock_status_by_vendor","income_tax_summary","inventory_valuation_summary","inventory_valuation_summary_by_site","lot_number_in_stock_by_site","physical_inventory_worksheet","profit_and_loss_by_class","profit_and_loss_by_job","profit_and_loss_previous_year_comparison","profit_and_loss_standard","profit_and_loss_ytd_comparison","purchase_by_item_summary","purchase_by_vendor_summary","sales_by_customer_summary","sales_by_item_summary","sales_by_sales_representative_summary","sales_tax_liability","sales_tax_revenue_summary","serial_number_in_stock_by_site","trial_balance","vendor_balance_summary","1099_detail","audit_trail","balance_sheet_detail","check_detail","customer_balance_detail","deposit_detail","estimates_by_job","expense_by_vendor_detail","general_ledger","income_by_customer_detail","income_tax_detail","inventory_valuation_detail","job_progress_invoices_vs_estimates","journal","missing_checks","open_invoices","open_purchase_orders","open_purchase_orders_by_job","open_sales_order_by_customer","open_sales_order_by_item","pending_sales","profit_and_loss_detail","purchase_by_item_detail","purchase_by_vendor_detail","sales_by_customer_detail","sales_by_item_detail","sales_by_sales_representative_detail","transaction_detail_by_account","transaction_list_by_customer","transaction_list_by_date","transaction_list_by_vendor","unpaid_bills_detail","unbilled_costs_by_job","vendor_balance_detail","ap_aging_detail","ap_aging_summary","ar_aging_detail","ar_aging_summary","collections_report","balance_sheet_budget_overview","balance_sheet_budget_vs_actual","profit_and_loss_budget_overview","profit_and_loss_budget_performance","profit_and_loss_budget_vs_actual","item_estimates_vs_actuals","item_profitability","job_estimates_vs_actuals_detail","job_estimates_vs_actuals_summary","job_profitability_detail","job_profitability_summary","time_by_item","time_by_job_detail","time_by_job_summary","time_by_name","custom_transaction_detail","custom_summary","employee_state_taxes_detail","payroll_item_detail","payroll_review_detail","payroll_transaction_detail","payroll_transactions_by_payee","employee_earnings_summary","payroll_liability_balances","payroll_summary"],"description":"The report type.","example":"trial_balance","isRequired":true,"uniqueKey":"reportType","typeLabel":"enum\u003cstring>"},"title":{"oneOf":[{"type":"string","description":"The report title.","example":"Trial Balance","isRequired":true,"uniqueKey":"title.oneOf.0","typeLabel":"string"},{"type":"null","description":"The report title.","example":"Trial Balance","isRequired":true,"uniqueKey":"title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"title","typeLabel":"string | null"},"subtitle":{"oneOf":[{"type":"string","description":"The report subtitle.","example":"As of February 1, 2025","isRequired":true,"uniqueKey":"subtitle.oneOf.0","typeLabel":"string"},{"type":"null","description":"The report subtitle.","example":"As of February 1, 2025","isRequired":true,"uniqueKey":"subtitle.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"subtitle","typeLabel":"string | null"},"basis":{"oneOf":[{"type":"string","description":"The accounting basis.","enum":["accrual","cash","none"],"example":"accrual","isRequired":true,"uniqueKey":"basis.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"The accounting basis.","example":"accrual","isRequired":true,"uniqueKey":"basis.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"basis","typeLabel":"enum\u003cstring> | null"},"rowCount":{"oneOf":[{"type":"number","description":"The number of rows in the report.","example":7,"isRequired":true,"uniqueKey":"rowCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of rows in the report.","example":7,"isRequired":true,"uniqueKey":"rowCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rowCount","typeLabel":"number | null"},"columnCount":{"oneOf":[{"type":"number","description":"The number of columns in the report.","example":3,"isRequired":true,"uniqueKey":"columnCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of columns in the report.","example":3,"isRequired":true,"uniqueKey":"columnCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"columnCount","typeLabel":"number | null"},"columnTitleRowCount":{"oneOf":[{"type":"number","description":"The number of title rows for the report columns.","example":2,"isRequired":true,"uniqueKey":"columnTitleRowCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"The number of title rows for the report columns.","example":2,"isRequired":true,"uniqueKey":"columnTitleRowCount.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"columnTitleRowCount","typeLabel":"number | null"},"columns":{"type":"array","items":{"type":"object","properties":{"columnId":{"type":"string","description":"The report column identifier. QuickBooks Desktop numbers columns from left to right, starting at 1. Use this value to match row cells to columns.","isRequired":true,"uniqueKey":"columns.items.[INDEX].columnId","typeLabel":"string"},"columnType":{"type":"string","description":"The report column type, describing the business meaning of the column, such as `date`, `amount`, or `transaction_type`.","isRequired":true,"uniqueKey":"columns.items.[INDEX].columnType","typeLabel":"string"},"dataType":{"oneOf":[{"type":"string","description":"The raw value data type for this column, such as `string`, `amount`, or `date`. This is `null` if QuickBooks Desktop does not provide a data type.","isRequired":true,"uniqueKey":"columns.items.[INDEX].dataType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The raw value data type for this column, such as `string`, `amount`, or `date`. This is `null` if QuickBooks Desktop does not provide a data type.","isRequired":true,"uniqueKey":"columns.items.[INDEX].dataType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"columns.items.[INDEX].dataType","typeLabel":"string | null"},"titles":{"type":"array","items":{"type":"object","properties":{"rowNumber":{"type":"number","description":"The one-based title row number. Reports can have multiple title rows.","isRequired":true,"uniqueKey":"columns.items.[INDEX].titles.items.[INDEX].rowNumber","typeLabel":"number"},"value":{"oneOf":[{"type":"string","description":"The title text for this column title row. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"columns.items.[INDEX].titles.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The title text for this column title row. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"columns.items.[INDEX].titles.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"columns.items.[INDEX].titles.items.[INDEX].value","typeLabel":"string | null"}},"required":["rowNumber","value"],"additionalProperties":false,"uniqueKey":"columns.items.[INDEX].titles.items.[INDEX]","typeLabel":"object"},"description":"The column title cells. Reports can use multiple title rows.","isRequired":true,"uniqueKey":"columns.items.[INDEX].titles","typeLabel":"object[]"}},"required":["columnId","columnType","dataType","titles"],"additionalProperties":false,"uniqueKey":"columns.items.[INDEX]","typeLabel":"object"},"description":"The report columns, in display order. Use each column's `columnId` to match row cells to columns.","isRequired":true,"uniqueKey":"columns","typeLabel":"object[]"},"rows":{"type":"array","items":{"oneOf":[{"type":"object","title":"Text row","required":["kind","rowNumber","text"],"properties":{"kind":{"type":"string","const":"text","description":"The row kind. This value is always `\"text\"`.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.0.kind","typeLabel":"string"},"rowNumber":{"type":"number","description":"The one-based row number from the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.0.rowNumber","typeLabel":"number"},"text":{"oneOf":[{"type":"string","description":"The text row value. Text rows are mainly used for headings. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.0.text.oneOf.0","typeLabel":"string"},{"type":"null","description":"The text row value. Text rows are mainly used for headings. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.0.text.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.0.text","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.0","typeLabel":"Text row · object"},{"type":"object","title":"Data row","required":["kind","rowNumber","rowDescriptor","cells"],"properties":{"kind":{"type":"string","const":"data","description":"The row kind. This value is always `\"data\"`.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.kind","typeLabel":"string"},"rowNumber":{"type":"number","description":"The one-based row number from the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowNumber","typeLabel":"number"},"rowDescriptor":{"oneOf":[{"type":"object","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","required":["type","value"],"properties":{"type":{"oneOf":[{"type":"string","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.type","typeLabel":"string | null"},"value":{"oneOf":[{"type":"string","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0.value","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.0","typeLabel":"object"},{"type":"null","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.rowDescriptor","typeLabel":"object | null"},"cells":{"type":"array","items":{"type":"object","properties":{"columnId":{"type":"string","description":"The column identifier for this cell. This matches a column's `columnId` and refers to the column's left-to-right position in the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].columnId","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].value","typeLabel":"string | null"},"dataType":{"oneOf":[{"type":"string","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].dataType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].dataType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX].dataType","typeLabel":"string | null"}},"required":["columnId","value","dataType"],"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells.items.[INDEX]","typeLabel":"object"},"description":"The cells in this report row. Report rows are sparse, so cells appear only for columns where QuickBooks Desktop returned a value.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.1.cells","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.1","typeLabel":"Data row · object"},{"type":"object","title":"Subtotal row","required":["kind","rowNumber","rowDescriptor","cells"],"properties":{"kind":{"type":"string","const":"subtotal","description":"The row kind. This value is always `\"subtotal\"`.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.kind","typeLabel":"string"},"rowNumber":{"type":"number","description":"The one-based row number from the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowNumber","typeLabel":"number"},"rowDescriptor":{"oneOf":[{"type":"object","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","required":["type","value"],"properties":{"type":{"oneOf":[{"type":"string","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.type","typeLabel":"string | null"},"value":{"oneOf":[{"type":"string","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0.value","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.0","typeLabel":"object"},{"type":"null","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.rowDescriptor","typeLabel":"object | null"},"cells":{"type":"array","items":{"type":"object","properties":{"columnId":{"type":"string","description":"The column identifier for this cell. This matches a column's `columnId` and refers to the column's left-to-right position in the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].columnId","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].value","typeLabel":"string | null"},"dataType":{"oneOf":[{"type":"string","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].dataType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].dataType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX].dataType","typeLabel":"string | null"}},"required":["columnId","value","dataType"],"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells.items.[INDEX]","typeLabel":"object"},"description":"The cells in this report row. Report rows are sparse, so cells appear only for columns where QuickBooks Desktop returned a value.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.2.cells","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.2","typeLabel":"Subtotal row · object"},{"type":"object","title":"Total row","required":["kind","rowNumber","rowDescriptor","cells"],"properties":{"kind":{"type":"string","const":"total","description":"The row kind. This value is always `\"total\"`.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.kind","typeLabel":"string"},"rowNumber":{"type":"number","description":"The one-based row number from the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowNumber","typeLabel":"number"},"rowDescriptor":{"oneOf":[{"type":"object","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","required":["type","value"],"properties":{"type":{"oneOf":[{"type":"string","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The kind of row-level descriptor, such as `account`, `customer`, or `vendor`. This is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.type.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.type","typeLabel":"string | null"},"value":{"oneOf":[{"type":"string","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The row-level descriptor value. This can differ from the first cell value and is `null` if QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0.value","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.0","typeLabel":"object"},{"type":"null","description":"The row-level descriptor provided by QuickBooks Desktop. This is separate from the row's table values in `cells` and is `null` when QuickBooks Desktop does not provide one.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.rowDescriptor","typeLabel":"object | null"},"cells":{"type":"array","items":{"type":"object","properties":{"columnId":{"type":"string","description":"The column identifier for this cell. This matches a column's `columnId` and refers to the column's left-to-right position in the report.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].columnId","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].value.oneOf.0","typeLabel":"string"},{"type":"null","description":"The cell value as a QuickBooks Desktop-formatted string. This is `null` if QuickBooks Desktop does not provide a value for the cell.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].value.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].value","typeLabel":"string | null"},"dataType":{"oneOf":[{"type":"string","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].dataType.oneOf.0","typeLabel":"string"},{"type":"null","description":"The value data type for this cell. If QuickBooks Desktop omits the cell data type, this uses the matching column's `dataType` when available.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].dataType.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX].dataType","typeLabel":"string | null"}},"required":["columnId","value","dataType"],"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells.items.[INDEX]","typeLabel":"object"},"description":"The cells in this report row. Report rows are sparse, so cells appear only for columns where QuickBooks Desktop returned a value.","isRequired":true,"uniqueKey":"rows.items.[INDEX].oneOf.3.cells","typeLabel":"object[]"}},"additionalProperties":false,"uniqueKey":"rows.items.[INDEX].oneOf.3","typeLabel":"Total row · object"}],"uniqueKey":"rows.items.[INDEX]","typeLabel":"Text row · object | Data row · object | Subtotal row · object | Total row · object"},"description":"The report rows, in display order. Rows can be text rows, detail data rows, subtotal rows, or total rows.","isRequired":true,"uniqueKey":"rows","typeLabel":"(Text row · object | Data row · object | Subtotal row · object | Total row · object)[]"}},"required":["objectType","category","reportType","title","subtitle","basis","rowCount","columnCount","columnTitleRowCount","columns","rows"],"additionalProperties":false,"title":"The Report object","x-conductor-object-type":"other","x-conductor-sidebar-group-name":"Reports","summary":"A QuickBooks Desktop report result, including report metadata, column definitions, and ordered rows.","uniqueKey":"","typeLabel":"The Report object · object"},"examples":{"Example":{"title":"Example","value":{"objectType":"qbd_report","category":"general_summary","reportType":"trial_balance","title":"Trial Balance","subtitle":"As of February 1, 2025","basis":"accrual","rowCount":7,"columnCount":3,"columnTitleRowCount":2,"columns":[{"columnId":"\u003cstring>","columnType":"\u003cstring>","dataType":"\u003cstring>","titles":[{"rowNumber":123,"value":"\u003cstring>"}]}],"rows":[{"kind":"text","rowNumber":123,"text":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"e37fc770-187a-467b-a1d4-8650d25ba278":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"045cea4d-dfb6-46e4-9c51-52452b7b239b":{"url":"https://api.conductor.is/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Conductor secret key using Bearer auth (e.g., `\"Authorization: Bearer {{YOUR_SECRET_KEY}}\"`).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi.documented.yml"},"subdomain":"conductor","siteName":"Conductor Docs","title":"Retrieve a general detail report - Conductor Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-18T20:48:21.074Z","originalFileLocation":"api-ref/qbd/reports/general-detail.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a general detail report - Conductor Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Conductor Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.conductor.is/api-ref/qbd/reports/general-detail\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Reports\u0026amp;title=Retrieve+a+general+detail+report\u0026amp;description=Retrieves+a+QuickBooks+Desktop+general+detail+report+with+transaction-level+rows%2C+such+as+General+Ledger%2C+Journal%2C+Open+Invoices%2C+unpaid+bills%2C+sales+detail%2C+pu\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=dfff61c2daca04ca50af0973702c33e1c5a9c3678335adb578e1cdc8fb311c5f\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a general detail report - Conductor Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://conductor.mintlify.app/_mintlify/api/og/v2?division=Reports\u0026amp;title=Retrieve+a+general+detail+report\u0026amp;description=Retrieves+a+QuickBooks+Desktop+general+detail+report+with+transaction-level+rows%2C+such+as+General+Ledger%2C+Journal%2C+Open+Invoices%2C+unpaid+bills%2C+sales+detail%2C+pu\u0026amp;theme=25d211cbfbf21e15541a10f2\u0026amp;signature=dfff61c2daca04ca50af0973702c33e1c5a9c3678335adb578e1cdc8fb311c5f\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/conductor/qaSeMwki9K6Ov6WL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Conductor Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.conductor.is/api-ref/qbd/reports/general-detail\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-ref/qbd/reports/general-detail.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.conductor.is/#organization\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/conductor/hjDC6C2Dz4sn63AO/logo/light.png?fit=max\u0026auto=format\u0026n=hjDC6C2Dz4sn63AO\u0026q=85\u0026s=43ebf17eb46ef6256a508d4fac23b3bf\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.conductor.is#website\",\"name\":\"Conductor Docs\",\"url\":\"https://docs.conductor.is\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail#webpage\",\"url\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail\",\"name\":\"Retrieve a general detail report\",\"description\":\"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\",\"dateModified\":\"2026-05-18T20:48:21.074Z\",\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"},\"breadcrumb\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"General\",\"item\":\"https://docs.conductor.is/api-ref/qbd/account-tax-lines/object\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Reports\",\"item\":\"https://docs.conductor.is/api-ref/qbd/reports/object\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Retrieve a general detail report\",\"item\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail#apireference\",\"headline\":\"Retrieve a general detail report\",\"name\":\"Retrieve a general detail report\",\"description\":\"Retrieves a QuickBooks Desktop general detail report with transaction-level rows, such as General Ledger, Journal, Open Invoices, unpaid bills, sales detail, purchase detail, audit trail, and transaction lists. This report is useful for inspecting the transactions behind balances, receivables, payables, sales, purchases, inventory valuation, and audit activity, including report-only columns that may not be available from standard object queries.\",\"url\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail\",\"mainEntityOfPage\":{\"@id\":\"https://docs.conductor.is/api-ref/qbd/reports/general-detail#webpage\"},\"dateModified\":\"2026-05-18T20:48:21.074Z\",\"publisher\":{\"@id\":\"https://docs.conductor.is/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.conductor.is#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Conductor Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Conductor Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"API Reference","groups":[{"group":"QuickBooks Desktop API","pages":[{"title":"Welcome to Conductor's QuickBooks Desktop API","href":"/api-ref/welcome"},{"title":"SDKs","icon":"code","href":"/api-ref/sdks"},{"title":"Upgrading to Conductor's new Node.js SDK","icon":"up","href":"/api-ref/upgrade-node"},{"title":"Authentication","icon":"lock","href":"/api-ref/authentication"},{"title":"Pagination","icon":"files","href":"/api-ref/pagination"},{"title":"Request IDs","icon":"hashtag","href":"/api-ref/request-ids"},{"title":"Timeouts","icon":"clock","href":"/api-ref/timeouts"},{"title":"The Error object","icon":"triangle-exclamation","href":"/api-ref/errors"},{"title":"OpenAPI","icon":"file-code","href":"/api-ref/openapi"},{"title":"MCP","icon":"robot","href":"/api-ref/mcp"}]},{"group":"Core Resources","pages":[{"group":"Auth Sessions","pages":[{"title":"The Auth Session object","href":"/api-ref/auth-sessions/object"},{"openapi":"POST /auth-sessions","title":"Create an auth session","href":"/api-ref/auth-sessions/create"}]},{"group":"End Users","pages":[{"title":"The End-User object","href":"/api-ref/end-users/object"},{"openapi":"POST /end-users","title":"Create an end-user","href":"/api-ref/end-users/create"},{"openapi":"GET /end-users/{id}","title":"Retrieve an end-user","href":"/api-ref/end-users/retrieve"},{"openapi":"GET /end-users","title":"List all end-users","href":"/api-ref/end-users/list"},{"openapi":"DELETE /end-users/{id}","title":"Delete an end-user","href":"/api-ref/end-users/delete"}]}]},{"group":"Utilities","pages":[{"openapi":"GET /quickbooks-desktop/health-check","title":"Health check","href":"/api-ref/qbd/utilities/health-check"},{"openapi":"POST /end-users/{id}/passthrough/{integrationSlug}","title":"Passthrough","href":"/api-ref/qbd/utilities/passthrough"}]},{"group":"Transactions","pages":[{"group":"All Transactions","pages":[{"title":"The Transaction object","href":"/api-ref/qbd/transactions/object"},{"openapi":"GET /quickbooks-desktop/transactions/{id}","title":"Retrieve a transaction","href":"/api-ref/qbd/transactions/retrieve"},{"openapi":"GET /quickbooks-desktop/transactions","title":"List all transactions","href":"/api-ref/qbd/transactions/list"}]},{"group":"Bill Check Payments","pages":[{"title":"The Bill Check Payment object","href":"/api-ref/qbd/bill-check-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-check-payments","title":"Create a bill check payment","href":"/api-ref/qbd/bill-check-payments/create"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}","title":"Update a bill check payment","href":"/api-ref/qbd/bill-check-payments/update"},{"openapi":"GET /quickbooks-desktop/bill-check-payments/{id}","title":"Retrieve a bill check payment","href":"/api-ref/qbd/bill-check-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-check-payments","title":"List all bill check payments","href":"/api-ref/qbd/bill-check-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-check-payments/{id}/void","title":"Void a bill check payment","href":"/api-ref/qbd/bill-check-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-check-payments/{id}","title":"Delete a bill check payment","href":"/api-ref/qbd/bill-check-payments/delete"}]},{"group":"Bill Credit Card Payments","pages":[{"title":"The Bill Credit Card Payment object","href":"/api-ref/qbd/bill-credit-card-payments/object"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments","title":"Create a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/create"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Retrieve a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/bill-credit-card-payments","title":"List all bill credit card payments","href":"/api-ref/qbd/bill-credit-card-payments/list"},{"openapi":"POST /quickbooks-desktop/bill-credit-card-payments/{id}/void","title":"Void a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/void"},{"openapi":"DELETE /quickbooks-desktop/bill-credit-card-payments/{id}","title":"Delete a bill credit card payment","href":"/api-ref/qbd/bill-credit-card-payments/delete"}]},{"group":"Bills","pages":[{"title":"The Bill object","href":"/api-ref/qbd/bills/object"},{"openapi":"POST /quickbooks-desktop/bills","title":"Create a bill","href":"/api-ref/qbd/bills/create"},{"openapi":"POST /quickbooks-desktop/bills/{id}","title":"Update a bill","href":"/api-ref/qbd/bills/update"},{"openapi":"GET /quickbooks-desktop/bills/{id}","title":"Retrieve a bill","href":"/api-ref/qbd/bills/retrieve"},{"openapi":"GET /quickbooks-desktop/bills","title":"List all bills","href":"/api-ref/qbd/bills/list"},{"openapi":"POST /quickbooks-desktop/bills/{id}/void","title":"Void a bill","href":"/api-ref/qbd/bills/void"},{"openapi":"DELETE /quickbooks-desktop/bills/{id}","title":"Delete a bill","href":"/api-ref/qbd/bills/delete"}]},{"group":"Bills to Pay","pages":[{"title":"The Bill To Pay object","href":"/api-ref/qbd/bills-to-pay/object"},{"openapi":"GET /quickbooks-desktop/bills-to-pay","title":"List bills and credits available to pay for a vendor","href":"/api-ref/qbd/bills-to-pay/list"}]},{"group":"Build Assemblies","pages":[{"title":"The Build Assembly object","href":"/api-ref/qbd/build-assemblies/object"},{"openapi":"POST /quickbooks-desktop/build-assemblies","title":"Create a build assembly","href":"/api-ref/qbd/build-assemblies/create"},{"openapi":"POST /quickbooks-desktop/build-assemblies/{id}","title":"Update a build assembly","href":"/api-ref/qbd/build-assemblies/update"},{"openapi":"GET /quickbooks-desktop/build-assemblies/{id}","title":"Retrieve a build assembly","href":"/api-ref/qbd/build-assemblies/retrieve"},{"openapi":"GET /quickbooks-desktop/build-assemblies","title":"List all build assemblies","href":"/api-ref/qbd/build-assemblies/list"},{"openapi":"DELETE /quickbooks-desktop/build-assemblies/{id}","title":"Delete a build assembly","href":"/api-ref/qbd/build-assemblies/delete"}]},{"group":"Checks","pages":[{"title":"The Check object","href":"/api-ref/qbd/checks/object"},{"openapi":"POST /quickbooks-desktop/checks","title":"Create a check","href":"/api-ref/qbd/checks/create"},{"openapi":"POST /quickbooks-desktop/checks/{id}","title":"Update a check","href":"/api-ref/qbd/checks/update"},{"openapi":"GET /quickbooks-desktop/checks/{id}","title":"Retrieve a check","href":"/api-ref/qbd/checks/retrieve"},{"openapi":"GET /quickbooks-desktop/checks","title":"List all checks","href":"/api-ref/qbd/checks/list"},{"openapi":"POST /quickbooks-desktop/checks/{id}/void","title":"Void a check","href":"/api-ref/qbd/checks/void"},{"openapi":"DELETE /quickbooks-desktop/checks/{id}","title":"Delete a check","href":"/api-ref/qbd/checks/delete"}]},{"group":"Credit Card Charges","pages":[{"title":"The Credit Card Charge object","href":"/api-ref/qbd/credit-card-charges/object"},{"openapi":"POST /quickbooks-desktop/credit-card-charges","title":"Create a credit card charge","href":"/api-ref/qbd/credit-card-charges/create"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}","title":"Update a credit card charge","href":"/api-ref/qbd/credit-card-charges/update"},{"openapi":"GET /quickbooks-desktop/credit-card-charges/{id}","title":"Retrieve a credit card charge","href":"/api-ref/qbd/credit-card-charges/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-charges","title":"List all credit card charges","href":"/api-ref/qbd/credit-card-charges/list"},{"openapi":"POST /quickbooks-desktop/credit-card-charges/{id}/void","title":"Void a credit card charge","href":"/api-ref/qbd/credit-card-charges/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-charges/{id}","title":"Delete a credit card charge","href":"/api-ref/qbd/credit-card-charges/delete"}]},{"group":"Credit Card Credits","pages":[{"title":"The Credit Card Credit object","href":"/api-ref/qbd/credit-card-credits/object"},{"openapi":"POST /quickbooks-desktop/credit-card-credits","title":"Create a credit card credit","href":"/api-ref/qbd/credit-card-credits/create"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}","title":"Update a credit card credit","href":"/api-ref/qbd/credit-card-credits/update"},{"openapi":"GET /quickbooks-desktop/credit-card-credits/{id}","title":"Retrieve a credit card credit","href":"/api-ref/qbd/credit-card-credits/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-credits","title":"List all credit card credits","href":"/api-ref/qbd/credit-card-credits/list"},{"openapi":"POST /quickbooks-desktop/credit-card-credits/{id}/void","title":"Void a credit card credit","href":"/api-ref/qbd/credit-card-credits/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-credits/{id}","title":"Delete a credit card credit","href":"/api-ref/qbd/credit-card-credits/delete"}]},{"group":"Credit Card Refunds","pages":[{"title":"The Credit Card Refund object","href":"/api-ref/qbd/credit-card-refunds/object"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds","title":"Create a credit card refund","href":"/api-ref/qbd/credit-card-refunds/create"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds/{id}","title":"Retrieve a credit card refund","href":"/api-ref/qbd/credit-card-refunds/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-card-refunds","title":"List all credit card refunds","href":"/api-ref/qbd/credit-card-refunds/list"},{"openapi":"POST /quickbooks-desktop/credit-card-refunds/{id}/void","title":"Void a credit card refund","href":"/api-ref/qbd/credit-card-refunds/void"},{"openapi":"DELETE /quickbooks-desktop/credit-card-refunds/{id}","title":"Delete a credit card refund","href":"/api-ref/qbd/credit-card-refunds/delete"}]},{"group":"Credit Memos","pages":[{"title":"The Credit Memo object","href":"/api-ref/qbd/credit-memos/object"},{"openapi":"POST /quickbooks-desktop/credit-memos","title":"Create a credit memo","href":"/api-ref/qbd/credit-memos/create"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}","title":"Update a credit memo","href":"/api-ref/qbd/credit-memos/update"},{"openapi":"GET /quickbooks-desktop/credit-memos/{id}","title":"Retrieve a credit memo","href":"/api-ref/qbd/credit-memos/retrieve"},{"openapi":"GET /quickbooks-desktop/credit-memos","title":"List all credit memos","href":"/api-ref/qbd/credit-memos/list"},{"openapi":"POST /quickbooks-desktop/credit-memos/{id}/void","title":"Void a credit memo","href":"/api-ref/qbd/credit-memos/void"},{"openapi":"DELETE /quickbooks-desktop/credit-memos/{id}","title":"Delete a credit memo","href":"/api-ref/qbd/credit-memos/delete"}]},{"group":"Deleted Transactions","pages":[{"title":"The Deleted Transaction object","href":"/api-ref/qbd/deleted-transactions/object"},{"openapi":"GET /quickbooks-desktop/deleted-transactions","title":"List all deleted transactions","href":"/api-ref/qbd/deleted-transactions/list"}]},{"group":"Deposits","pages":[{"title":"The Deposit object","href":"/api-ref/qbd/deposits/object"},{"openapi":"POST /quickbooks-desktop/deposits","title":"Create a deposit","href":"/api-ref/qbd/deposits/create"},{"openapi":"POST /quickbooks-desktop/deposits/{id}","title":"Update a deposit","href":"/api-ref/qbd/deposits/update"},{"openapi":"GET /quickbooks-desktop/deposits/{id}","title":"Retrieve a deposit","href":"/api-ref/qbd/deposits/retrieve"},{"openapi":"GET /quickbooks-desktop/deposits","title":"List all deposits","href":"/api-ref/qbd/deposits/list"},{"openapi":"POST /quickbooks-desktop/deposits/{id}/void","title":"Void a deposit","href":"/api-ref/qbd/deposits/void"},{"openapi":"DELETE /quickbooks-desktop/deposits/{id}","title":"Delete a deposit","href":"/api-ref/qbd/deposits/delete"}]},{"group":"Estimates","pages":[{"title":"The Estimate object","href":"/api-ref/qbd/estimates/object"},{"openapi":"POST /quickbooks-desktop/estimates","title":"Create an estimate","href":"/api-ref/qbd/estimates/create"},{"openapi":"POST /quickbooks-desktop/estimates/{id}","title":"Update an estimate","href":"/api-ref/qbd/estimates/update"},{"openapi":"GET /quickbooks-desktop/estimates/{id}","title":"Retrieve an estimate","href":"/api-ref/qbd/estimates/retrieve"},{"openapi":"GET /quickbooks-desktop/estimates","title":"List all estimates","href":"/api-ref/qbd/estimates/list"},{"openapi":"DELETE /quickbooks-desktop/estimates/{id}","title":"Delete an estimate","href":"/api-ref/qbd/estimates/delete"}]},{"group":"Inventory Adjustments","pages":[{"title":"The Inventory Adjustment object","href":"/api-ref/qbd/inventory-adjustments/object"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments","title":"Create an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/create"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}","title":"Update an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/update"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments/{id}","title":"Retrieve an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/retrieve"},{"openapi":"GET /quickbooks-desktop/inventory-adjustments","title":"List all inventory adjustments","href":"/api-ref/qbd/inventory-adjustments/list"},{"openapi":"POST /quickbooks-desktop/inventory-adjustments/{id}/void","title":"Void an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/void"},{"openapi":"DELETE /quickbooks-desktop/inventory-adjustments/{id}","title":"Delete an inventory adjustment","href":"/api-ref/qbd/inventory-adjustments/delete"}]},{"group":"Invoices","pages":[{"title":"The Invoice object","href":"/api-ref/qbd/invoices/object"},{"openapi":"POST /quickbooks-desktop/invoices","title":"Create an invoice","href":"/api-ref/qbd/invoices/create"},{"openapi":"POST /quickbooks-desktop/invoices/{id}","title":"Update an invoice","href":"/api-ref/qbd/invoices/update"},{"openapi":"GET /quickbooks-desktop/invoices/{id}","title":"Retrieve an invoice","href":"/api-ref/qbd/invoices/retrieve"},{"openapi":"GET /quickbooks-desktop/invoices","title":"List all invoices","href":"/api-ref/qbd/invoices/list"},{"openapi":"POST /quickbooks-desktop/invoices/{id}/void","title":"Void an invoice","href":"/api-ref/qbd/invoices/void"},{"openapi":"DELETE /quickbooks-desktop/invoices/{id}","title":"Delete an invoice","href":"/api-ref/qbd/invoices/delete"}]},{"group":"Item Receipts","pages":[{"title":"The Item Receipt object","href":"/api-ref/qbd/item-receipts/object"},{"openapi":"POST /quickbooks-desktop/item-receipts","title":"Create an item receipt","href":"/api-ref/qbd/item-receipts/create"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}","title":"Update an item receipt","href":"/api-ref/qbd/item-receipts/update"},{"openapi":"GET /quickbooks-desktop/item-receipts/{id}","title":"Retrieve an item receipt","href":"/api-ref/qbd/item-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/item-receipts","title":"List all item receipts","href":"/api-ref/qbd/item-receipts/list"},{"openapi":"POST /quickbooks-desktop/item-receipts/{id}/void","title":"Void an item receipt","href":"/api-ref/qbd/item-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/item-receipts/{id}","title":"Delete an item receipt","href":"/api-ref/qbd/item-receipts/delete"}]},{"group":"Journal Entries","pages":[{"title":"The Journal Entry object","href":"/api-ref/qbd/journal-entries/object"},{"openapi":"POST /quickbooks-desktop/journal-entries","title":"Create a journal entry","href":"/api-ref/qbd/journal-entries/create"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}","title":"Update a journal entry","href":"/api-ref/qbd/journal-entries/update"},{"openapi":"GET /quickbooks-desktop/journal-entries/{id}","title":"Retrieve a journal entry","href":"/api-ref/qbd/journal-entries/retrieve"},{"openapi":"GET /quickbooks-desktop/journal-entries","title":"List all journal entries","href":"/api-ref/qbd/journal-entries/list"},{"openapi":"POST /quickbooks-desktop/journal-entries/{id}/void","title":"Void a journal entry","href":"/api-ref/qbd/journal-entries/void"},{"openapi":"DELETE /quickbooks-desktop/journal-entries/{id}","title":"Delete a journal entry","href":"/api-ref/qbd/journal-entries/delete"}]},{"group":"Payments to Deposit","pages":[{"title":"The Payment To Deposit object","href":"/api-ref/qbd/payments-to-deposit/object"},{"openapi":"GET /quickbooks-desktop/payments-to-deposit","title":"List all payments to deposit","href":"/api-ref/qbd/payments-to-deposit/list"}]},{"group":"Purchase Orders","pages":[{"title":"The Purchase Order object","href":"/api-ref/qbd/purchase-orders/object"},{"openapi":"POST /quickbooks-desktop/purchase-orders","title":"Create a purchase order","href":"/api-ref/qbd/purchase-orders/create"},{"openapi":"POST /quickbooks-desktop/purchase-orders/{id}","title":"Update a purchase order","href":"/api-ref/qbd/purchase-orders/update"},{"openapi":"GET /quickbooks-desktop/purchase-orders/{id}","title":"Retrieve a purchase order","href":"/api-ref/qbd/purchase-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/purchase-orders","title":"List all purchase orders","href":"/api-ref/qbd/purchase-orders/list"},{"openapi":"DELETE /quickbooks-desktop/purchase-orders/{id}","title":"Delete a purchase order","href":"/api-ref/qbd/purchase-orders/delete"}]},{"group":"Receive-Payments","pages":[{"title":"The Receive-Payment object","href":"/api-ref/qbd/receive-payments/object"},{"openapi":"POST /quickbooks-desktop/receive-payments","title":"Create a receive-payment","href":"/api-ref/qbd/receive-payments/create"},{"openapi":"POST /quickbooks-desktop/receive-payments/{id}","title":"Update a receive-payment","href":"/api-ref/qbd/receive-payments/update"},{"openapi":"GET /quickbooks-desktop/receive-payments/{id}","title":"Retrieve a receive-payment","href":"/api-ref/qbd/receive-payments/retrieve"},{"openapi":"GET /quickbooks-desktop/receive-payments","title":"List all receive-payments","href":"/api-ref/qbd/receive-payments/list"},{"openapi":"DELETE /quickbooks-desktop/receive-payments/{id}","title":"Delete a receive-payment","href":"/api-ref/qbd/receive-payments/delete"}]},{"group":"Sales Orders","pages":[{"title":"The Sales Order object","href":"/api-ref/qbd/sales-orders/object"},{"openapi":"POST /quickbooks-desktop/sales-orders","title":"Create a sales order","href":"/api-ref/qbd/sales-orders/create"},{"openapi":"POST /quickbooks-desktop/sales-orders/{id}","title":"Update a sales order","href":"/api-ref/qbd/sales-orders/update"},{"openapi":"GET /quickbooks-desktop/sales-orders/{id}","title":"Retrieve a sales order","href":"/api-ref/qbd/sales-orders/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-orders","title":"List all sales orders","href":"/api-ref/qbd/sales-orders/list"},{"openapi":"DELETE /quickbooks-desktop/sales-orders/{id}","title":"Delete a sales order","href":"/api-ref/qbd/sales-orders/delete"}]},{"group":"Sales Receipts","pages":[{"title":"The Sales Receipt object","href":"/api-ref/qbd/sales-receipts/object"},{"openapi":"POST /quickbooks-desktop/sales-receipts","title":"Create a sales receipt","href":"/api-ref/qbd/sales-receipts/create"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}","title":"Update a sales receipt","href":"/api-ref/qbd/sales-receipts/update"},{"openapi":"GET /quickbooks-desktop/sales-receipts/{id}","title":"Retrieve a sales receipt","href":"/api-ref/qbd/sales-receipts/retrieve"},{"openapi":"GET /quickbooks-desktop/sales-receipts","title":"List all sales receipts","href":"/api-ref/qbd/sales-receipts/list"},{"openapi":"POST /quickbooks-desktop/sales-receipts/{id}/void","title":"Void a sales receipt","href":"/api-ref/qbd/sales-receipts/void"},{"openapi":"DELETE /quickbooks-desktop/sales-receipts/{id}","title":"Delete a sales receipt","href":"/api-ref/qbd/sales-receipts/delete"}]},{"group":"Sales-Tax Payment Checks","pages":[{"title":"The Sales-Tax Payment Check object","href":"/api-ref/qbd/sales-tax-payment-checks/object"},{"openapi":"POST /quickbooks-desktop/sales-tax-payment-checks","title":"Create a sales-tax
[...]
